Welcome, Autel Pilots!
Join our free Autel drone community today!
Join Us

Android phone not compatible

Mattyjarvis

Member
Joined
Mar 24, 2024
Messages
14
Reaction score
2
Age
44
How come my android phone is saying not compatible with the autel explorer app? Is there some way round this or somewhere else I can get a app from so this can work? Okay
 
  • Like
Reactions: ADOC
I found using Android devices always caused some problem or another with Autel causing me to use an OLD iPhone that works far better.
 

Latest threads

Members online

Forum statistics

Threads
11,343
Messages
103,286
Members
10,036
Latest member
luke562